View Issue Details

IDProjectCategoryView StatusLast Update
0000094SnakeoilOS[All Projects] Generalpublic2017-07-03 17:57
Reporteragent_kithAssigned Toagent_kith 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.0.0Fixed in Version1.0.0 
Summary0000094: Fix issues discovered in pre-releases/beta
Description

Closed/Fixed

  1. Wrong permissions set for music/playlist folders
    • (Fixed in 0.8.2)
  2. Audio mixer is mute by default on certain drivers (probably only USB2.0?)
    • (Fixed in 0.8.2 - Click on "Set volume to 100%")
  3. MPD-dsd-rt has problem with audio device output field
    • (Fixed in 0.8.2)
  4. Add support for Qualcomm® Atheros® AR8171 network adapter
    • (Fixed in ISO build of 0.8.2)
  5. The text "Client: Disabled" is confusing. Change it to "Not Applicable"?
    • (Fixed in 0.8.3)
  6. LMS has a manual configuration icon to it. Shouldn't be there.
    • (Fixed in 0.8.3)
  7. Snakeoil page - Adding a new priority entry when there are already existing entries will blank everything out.
    • (Fixed in 0.8.3)
  8. Priority settings don't work
    • (Fixed in 0.8.3)
  9. Disable console login not working
    • (Fixed in 0.8.3)
  10. Selecting MPD also started squeezelite. It shouldn't!
    • (Fixed in 0.8.3)
  11. Activation OK message should not be in red/error
    • (Fixed in 0.8.3)
  12. Add Squeezelite-R2
    • (Fixed in 0.8.4)
  13. Reboot and firmware upgrade dialog boxes need to be improved
    • (Fixed in 0.8.4)
  14. Saving network settings returns an error code, but settings still saved.
    • (Fixed in 0.8.5)
  15. Fixed crash when updating firmware
    • (Fixed in 0.8.5. People with issues please go here for fix)
  16. Added pc-grub to x86_64 ISO
    • (Fixed in 0.8.5 ISO)
  17. Delay process priorities change after computer boot
    • (Fixed in 0.8.6)
  18. Finish the Chinese translations!!!
    • (Fixed in 0.8.7)
  19. If LMS is running, restart snakeoil-rest might not work (meaning theme is not extracted when starting up, or switching themes)
    • (Fixed in 0.9.0)
  20. DNS server not saved when networking set to static.
    • (Fixed in 0.9.0)
  21. alsamixer volume saved on unmute, and restored on boot
    • (Fixed in 0.9.0)
  22. Fixed a GUI race condition when updating firmware/module/deb
    • (Fixed in 0.9.0)
  23. Not all CPUs have L3 cache. For these processors, say "NONE" in the dashboard for relevant entries
    • (Fixed in 0.9.0)
TagsNo tags attached.

Relationships

has duplicate 0000093 closedagent_kith Make sure all music server/clients have stopped before starting the next one. 
has duplicate 0000092 closedagent_kith Implement new method to disable tty in Ubuntu 16.04.02 LTS 

Activities

agent_kith

2017-06-21 10:08

administrator   ~0000096

Last edited: 2017-06-21 10:11

View 2 revisions

Firmware 0.8.4 optimisations broke the firmware upgrade process. To fix, do the following:

wget "https://issues.snakeoil-os.net/file_download.php?file_id=2&type=bug" -O snakeoil-rest
sudo chown root:root snakeoil-rest
sudo chmod 755 snakeoil-rest
sudo cp snakeoil-rest /usr/local/sbin -f
sudo reboot


snakeoil-rest (6,059,088 bytes)

agent_kith

2017-07-02 17:28

administrator   ~0000098

Last edited: 2017-07-02 17:30

View 2 revisions

Folks on 0.8.x, please use this new startup script from now on. To update, please SSH into your SnakeoilOS machine, and run the following commands:

sudo wget "https://issues.snakeoil-os.net/file_download.php?file_id=3&type=bug" -O /usr/local/bin/snakeoil-server.sh
sudo chmod 755 /usr/local/bin/snakeoil-server.sh
sudo reboot

This will download the script, and then reboot the computer for the new script to take effect.



snakeoil-server.sh (552 bytes)

Issue History

Date Modified Username Field Change
2017-06-01 12:53 agent_kith New Issue
2017-06-01 12:53 agent_kith Status new => assigned
2017-06-01 12:53 agent_kith Assigned To => agent_kith
2017-06-03 09:29 agent_kith Description Updated View Revisions
2017-06-03 09:31 agent_kith Description Updated View Revisions
2017-06-03 10:09 agent_kith Description Updated View Revisions
2017-06-03 10:14 agent_kith Description Updated View Revisions
2017-06-03 10:18 agent_kith Description Updated View Revisions
2017-06-03 15:21 agent_kith Description Updated View Revisions
2017-06-03 15:38 agent_kith Description Updated View Revisions
2017-06-03 21:31 agent_kith Description Updated View Revisions
2017-06-04 07:08 agent_kith Description Updated View Revisions
2017-06-04 07:10 agent_kith Description Updated View Revisions
2017-06-04 07:10 agent_kith Description Updated View Revisions
2017-06-04 07:12 agent_kith Description Updated View Revisions
2017-06-04 07:24 agent_kith Description Updated View Revisions
2017-06-05 08:27 agent_kith Description Updated View Revisions
2017-06-05 10:10 agent_kith Description Updated View Revisions
2017-06-05 16:16 agent_kith Description Updated View Revisions
2017-06-06 17:27 agent_kith Description Updated View Revisions
2017-06-06 18:13 agent_kith Description Updated View Revisions
2017-06-06 18:13 agent_kith Description Updated View Revisions
2017-06-06 19:18 agent_kith Relationship added has duplicate 0000093
2017-06-06 19:19 agent_kith Description Updated View Revisions
2017-06-06 19:40 agent_kith Relationship added has duplicate 0000092
2017-06-06 19:43 agent_kith Description Updated View Revisions
2017-06-06 19:58 agent_kith Description Updated View Revisions
2017-06-06 20:28 agent_kith Description Updated View Revisions
2017-06-07 17:54 agent_kith Description Updated View Revisions
2017-06-09 19:52 agent_kith Description Updated View Revisions
2017-06-10 10:53 agent_kith Description Updated View Revisions
2017-06-11 19:20 agent_kith Description Updated View Revisions
2017-06-11 19:21 agent_kith Description Updated View Revisions
2017-06-13 07:47 agent_kith Description Updated View Revisions
2017-06-13 13:31 agent_kith Description Updated View Revisions
2017-06-14 07:51 agent_kith Assigned To agent_kith =>
2017-06-14 07:52 agent_kith Description Updated View Revisions
2017-06-14 07:54 agent_kith Description Updated View Revisions
2017-06-14 19:24 agent_kith Description Updated View Revisions
2017-06-16 19:16 agent_kith Description Updated View Revisions
2017-06-16 19:26 agent_kith Description Updated View Revisions
2017-06-17 08:59 agent_kith Summary Fix issues discovered from pre-releases/beta => Fix issues discovered in pre-releases/beta
2017-06-17 08:59 agent_kith Description Updated View Revisions
2017-06-21 10:08 agent_kith File Added: snakeoil-rest
2017-06-21 10:08 agent_kith Note Added: 0000096
2017-06-21 10:11 agent_kith Note Edited: 0000096 View Revisions
2017-06-21 19:25 agent_kith Description Updated View Revisions
2017-06-21 19:29 agent_kith Description Updated View Revisions
2017-06-27 18:46 agent_kith Description Updated View Revisions
2017-07-01 09:27 agent_kith Description Updated View Revisions
2017-07-01 17:07 agent_kith Description Updated View Revisions
2017-07-01 17:11 agent_kith Description Updated View Revisions
2017-07-01 17:27 agent_kith Description Updated View Revisions
2017-07-01 17:38 agent_kith Description Updated View Revisions
2017-07-01 19:37 agent_kith Description Updated View Revisions
2017-07-01 19:46 agent_kith Description Updated View Revisions
2017-07-02 12:17 agent_kith Description Updated View Revisions
2017-07-02 17:08 agent_kith Description Updated View Revisions
2017-07-02 17:28 agent_kith File Added: snakeoil-server.sh
2017-07-02 17:28 agent_kith Note Added: 0000098
2017-07-02 17:30 agent_kith Note Edited: 0000098 View Revisions
2017-07-02 17:53 agent_kith Description Updated View Revisions
2017-07-03 17:57 agent_kith Assigned To => agent_kith
2017-07-03 17:57 agent_kith Status assigned => closed
2017-07-03 17:57 agent_kith Resolution open => fixed
2017-07-03 17:57 agent_kith Fixed in Version => 1.0.0